import numpy as np
import matplotlib.pyplot as plt

xi = ['0.1','0.3','0.5','0.7','0.9','1.0']
y = ['0.0','0.0','0.2','0.4','0.6','0.8','1.0']
#positions=[1,2,3,4,5,6,7,8]
fig = plt.figure(dpi=500)#,figsize=(12,9)
ax = fig.add_subplot(1,1,1)
ax1 = ax.twinx()
# ax = fig.add_subplot(1,3,3)

asr_baseline = np.array((0.99,0.98,0.97,0.98,0.98,0.98))
ax.plot(xi,asr_baseline, color='green',marker='o')
asr_Chironex = np.array((0.99,0.99,0.98,0.98,0.99,0.99))
ax.plot(xi,asr_Chironex, color='red',marker='*')

ma_baseline = np.array((0.99,0.99,0.99,0.98,0.97,0.97))
ax.plot(xi,ma_baseline, color='green',linestyle='--',marker='o')
ma_Chironex = np.array((0.99,0.98,0.98,0.98,0.97,0.98) )
ax.plot(xi,ma_Chironex, color='red',linestyle='--',marker='*')
#######mnist rlr
# asr_baseline = np.array((0,0,0,0,0,0))
# ax.plot(xi,asr_baseline, color='green',marker='o')
# asr_Chironex = np.array((0.99,0.91,0.83,0.79,0.71,0.53))
# ax.plot(xi,asr_Chironex, color='red',marker='*')
#
# ma_baseline = np.array((0.98,0.97,0.96,0.93,0.94,0.34))
# ax.plot(xi,ma_baseline, color='green',linestyle='--',marker='o')
# ma_Chironex = np.array((0.99,0.98,0.97,0.94,0.95,0.29) )
# ax.plot(xi,ma_Chironex, color='red',linestyle='--',marker='*')

# ma_fedavg = np.array((0.94,0.93,0.91,0.91,0.35,0.09))  #without attack
# ax.plot(xi,ma_fedavg, color='royalblue',marker='x')

########mnist comed
# asr_baseline = np.array((0.0,0.005,0.001,0.01,0.0,0.0))
# ax.plot(xi,asr_baseline, color='green',marker='o')
# asr_Chironex = np.array((0.99,0.98,0.97,0.97,0.94,0.61))
# ax.plot(xi,asr_Chironex, color='red',marker='*')
#
# ma_baseline = np.array((0.94,0.93,0.92,0.91,0.80,0.41))
# ax.plot(xi,ma_baseline, color='green',linestyle='--',marker='o')
# ma_Chironex = np.array((0.93,0.93,0.93,0.90,0.89,0.33) )
# ax.plot(xi,ma_Chironex, color='red',linestyle='--',marker='*')

# ma_fedavg = np.array((,,,,,))  #without attack

#########mnist flame
# asr_baseline = np.array((0.01,0.003,0.0,0,0,0))
# ax.plot(xi,asr_baseline, color='green',marker='o')
# asr_Chironex = np.array((0.99,0.98,0.97,0.98,0.94,0.74))
# ax.plot(xi,asr_Chironex, color='red',marker='*')
#
# ma_baseline = np.array((0.98,0.98,0.98,0.98,0.97,0.87))
# ax.plot(xi,ma_baseline, color='green',linestyle='--',marker='o')
# ma_Chironex = np.array((0.99,0.98,0.98,0.97,0.98,0.82) )
# ax.plot(xi,ma_Chironex, color='red',linestyle='--',marker='*')

# ma_fedavg = np.array((0.99,,,,,))  #without attack

#########mnist dpsight
# asr_baseline = np.array((0,0,0,0,0,0))
# ax.plot(xi,asr_baseline, color='green',marker='o')
# asr_Chironex = np.array((0.94,0.93,0.91,0.90,0.87,0.74))
# ax.plot(xi,asr_Chironex, color='red',marker='*')
#
# ma_baseline = np.array((0.98,0.98,0.98,0.98,0.98,0.97))
# ax.plot(xi,ma_baseline, color='green',linestyle='--',marker='o')
# ma_Chironex = np.array((0.97,0.97,0.96,0.97,0.96,0.96) )
# ax.plot(xi,ma_Chironex, color='red',linestyle='--',marker='*')

# ma_fedavg = np.array((0.97,,,,,))  #without attack

# ax.plot(xi,ma_fedavg, color='royalblue',marker='x')
# ax.plot(xi,median, color='salmon',marker='D')
# ax.plot(xi,krum, color='blueviolet',marker='*')
# ax.plot(xi,tm, color='dimgrey',marker='x')
# ax.plot(xi,brief, color='royalblue',marker='^')
# ax.plot(xi,brief_dp, color='teal',marker='<')

ax.legend(['ASR(Baseline)','ASR(Chironex(Ours))','MA(Baseline)','MA(Chironex(Ours))','MA(FedAvg without Attack)'],fontsize=14)

# ax.set_title('CIFAR-10')
ax.set_ylabel('ASR',fontsize=14)
ax.set_xlabel('q',fontsize=14)
ax.set_xticklabels(xi,fontsize=14)
ax.set_yticklabels(y,fontsize=14)
ax1.set_yticklabels(y,fontsize=14)
ax.set_ylim(-0.1,1.1)
ax1.set_ylabel('MA',fontsize=14)
ax1.set_ylim(-0.1,1.1)

plt.savefig('mnist nodef.png')
plt.show()