import numpy as np
import matplotlib.pyplot as plt

xi = ['0.1','0.3','0.5','0.7','0.9','1.0']
y = ['0','0','20','40','60','80','100']
#positions=[1,2,3,4,5,6,7,8]
fig = plt.figure(dpi=500)#,figsize=(12,9)
ax = fig.add_subplot(1,1,1)
ax1 = ax.twinx()
# ax = fig.add_subplot(1,3,3)

##########fmnist nodef
# asr_baseline = np.array((86.95,85.3,84,83.7,82.7,84))
# ax.plot(xi,asr_baseline, color='green',marker='o')
# asr_Chironex = np.array((88.52,88.2,87.3,86.9,84.3,83.2))
# ax.plot(xi,asr_Chironex, color='red',marker='*')
#
# ma_baseline = np.array((56.35,55.1,55,53.5,52.3,51.2))
# ax.plot(xi,ma_baseline, color='green',linestyle='--',marker='o')
# ma_Chironex = np.array((56.23,56.13,55.5,54.23,55.34,52.92) )
# ax.plot(xi,ma_Chironex, color='red',linestyle='--',marker='*')
#######fmnist rlr
# asr_baseline = np.array((81.25,71.24,49,34,23,0))
# ax.plot(xi,asr_baseline, color='green',marker='o')
# asr_Chironex = np.array((85.69,82.1,78.9,74.39,69.4,65))
# ax.plot(xi,asr_Chironex, color='red',marker='*')
#
# ma_baseline = np.array((39.07,38.37,36.97,35.06,33.24,28.90))
# ax.plot(xi,ma_baseline, color='green',linestyle='--',marker='o')
# ma_Chironex = np.array((39.17,36.47,37.14,35.93,34.65,31.17) )
# ax.plot(xi,ma_Chironex, color='red',linestyle='--',marker='*')

# ma_fedavg = np.array((0.94,0.93,0.91,0.91,0.35,0.09))  #without attack
# ax.plot(xi,ma_fedavg, color='royalblue',marker='x')

########fmnist med
# asr_baseline = np.array((72.0,63,49,35,3.0,0.0))
# ax.plot(xi,asr_baseline, color='green',marker='o')
# asr_Chironex = np.array((83.5,82.0,79.8,75.5,72.4,49))
# ax.plot(xi,asr_Chironex, color='red',marker='*')
#
# ma_baseline = np.array((58.03,57.29187,55.92198,52.72347,50.8239,47.1927))
# ax.plot(xi,ma_baseline, color='green',linestyle='--',marker='o')
# ma_Chironex = np.array((57.10,56.85,54.23,52.34,51.71,43.1982))
# ax.plot(xi,ma_Chironex, color='red',linestyle='--',marker='*')

# ma_fedavg = np.array((,,,,,))  #without attack

#########mnist flame
# asr_baseline = np.array((8.4,4.0,0.0,.0,0.0,0.0))
# ax.plot(xi,asr_baseline, color='green',marker='o')
# asr_Chironex = np.array((81.52,79,75.1,74.2,71.2,69.23))
# ax.plot(xi,asr_Chironex, color='red',marker='*')
#
# ma_baseline = np.array((51.53242,50.2187,47.32014,42.2198,45.931287,39.34287))
# ax.plot(xi,ma_baseline, color='green',linestyle='--',marker='o')
# ma_Chironex = np.array((53.65,52.43243,49.43298,46.9587,44.3928,42.3298))
# ax.plot(xi,ma_Chironex, color='red',linestyle='--',marker='*')

# ma_fedavg = np.array((0.99,,,,,))  #without attack

#########mnist dpsight
asr_baseline = np.array((25,13.23948,2.3242,0.0,0.0,0.0))
ax.plot(xi,asr_baseline, color='green',marker='o')
asr_Chironex = np.array((68.97,67.1209,64.23987,62.32987,57.23423,43.14))
ax.plot(xi,asr_Chironex, color='red',marker='*')

ma_baseline = np.array((60.14,59.32987,57.23987,54.8147,51.98723,47.4324))
ax.plot(xi,ma_baseline, color='green',linestyle='--',marker='o')
ma_Chironex = np.array((59.06,59.432098,56.32423,57.435098,54.43245,50.043))
ax.plot(xi,ma_Chironex, color='red',linestyle='--',marker='*')

# ma_fedavg = np.array((0.97,,,,,))  #without attack

# ax.plot(xi,ma_fedavg, color='royalblue',marker='x')
# ax.plot(xi,median, color='salmon',marker='D')
# ax.plot(xi,krum, color='blueviolet',marker='*')
# ax.plot(xi,tm, color='dimgrey',marker='x')
# ax.plot(xi,brief, color='royalblue',marker='^')
# ax.plot(xi,brief_dp, color='teal',marker='<')

ax.legend(['ASR(Baseline)','ASR(Chironex(Ours))','MA(Baseline)','MA(Chironex(Ours))','MA(FedAvg without Attack)'],fontsize=12)

# ax.set_title('CIFAR-10')
ax.set_ylabel('ASR(%)',fontsize=12)
ax.set_xlabel('q',fontsize=12)
ax.set_xticklabels(xi,fontsize=12)
ax.set_yticklabels(y,fontsize=12)
ax1.set_yticklabels(y,fontsize=12)
ax.set_ylim(-10,110)
ax1.set_ylabel('MA(%)',fontsize=12)
ax1.set_ylim(-10,110)

plt.savefig('cifar dpsight.png')
plt.show()