import numpy as np
import matplotlib.pyplot as plt

xi = ['0.1','0.3','0.5','0.7','0.9','1.0']
#positions=[1,2,3,4,5,6,7,8]
fig = plt.figure(dpi=500)
ax = fig.add_subplot(1,1,1)

# ax = fig.add_subplot(1,3,3)
fltrust = np.array((0,0,0,0,1,1))
ax.plot(xi,fltrust, color='limegreen',marker='o')

flguard = np.array((0,0,0,0,1,1) )
ax.plot(xi,flguard, color='red',marker='*')

# median = np.array((0,0,0,0.005,1,1,1,1,1) )
# ax.plot(xi,median, color='salmon',marker='D')
#
# krum = np.array((0,0,0,0.16,1,1,1,1,1) )
# ax.plot(xi,krum, color='blueviolet',marker='*')
#
# tm = np.array((0,0,0,0.28,1,1,1,1,1) )
# ax.plot(xi,tm, color='dimgrey',marker='x')
#
# brief = np.array((0,0,0,0,0.019,0.011,0.03,0.05,0.059) )
# ax.plot(xi,brief, color='royalblue',marker='^')
#
# brief_dp = np.array((0,0,0,0,0.019,0.011,0.03,0.05,0.059) ) + np.random.rand(9,)*0.03
# ax.plot(xi,brief_dp, color='teal',marker='<')

ax.legend(['FedAvg w/o denfense','FLTrust','FLGUARD','Median','Krum','Trim-mean','weights-BRIEF','BRIEF'])
# ax.set_title('CIFAR-10')
ax.set_ylabel('attack success rate')
ax.set_xlabel('ξ')
ax.set_xticklabels(xi)
ax.set_ylim(-0.1,1.1)

plt.savefig('aa.png')
plt.show()