import numpy as np
import matplotlib.pyplot as plt

def smooth(y,box_pts):
    box = np.ones(box_pts)/box_pts
    y_smooth = np.convolve(y,box,mode='same')
    return y_smooth

xi = range(200)
y = ['0','20','40','60','80','100']
#positions=[1,2,3,4,5,6,7,8]
plt.figure(dpi=500)#,figsize=(12,9)


######################MNIST FOR FLAME########################
base = np.loadtxt("ASR base mnist f.txt") * 100
plt.plot(xi,smooth(base,2), color='green')
chironex = np.loadtxt("ASR sbafl mnist f.txt") * 100
plt.plot(xi,smooth(chironex,2), color='red')

plt.legend(['ASR (Baseline)','ASR (Chironex)'],fontsize=14)

# ax.set_title('CIFAR-10')
plt.ylabel('ASR(%)',fontsize=14)
plt.xlabel('Round',fontsize=14)
# ax.set_xticklabels(xi,fontsize=12)
# ax.set_yticklabels(y,fontsizentsize=12)
plt.ylim(-10,110)
plt.xticks(fontsize=14)
plt.yticks(fontsize=14)


plt.savefig('f asr mnist.png')
plt.show()